Name: wiliwili
Version: 1.5.0

%global forgeurl https://github.com/xfangfang/%{name}
%global commit 1e49a60fc1e59605040accea50c8c527d9b79e69
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%forgemeta

Release: %autorelease
Summary: A cross-platform client for Bilibili
URL:     %forgeurl
# To generate the source archive:
# git archive-all wiliwili-(git describe --long | cut -d'-' -f1,3)-full.tar.gz
Source:  %{name}-v%{version}-g%{shortcommit}-full.tar.gz

# wiliwili - Main tarball: GPL-3.0-only
# LunaSVG - static dependency: MIT

# borealis - static dependency: Apache-2.0
# glfw - static dependency: zlib
# yogacore - static dependency: MIT
# compat_strl.c, encoding_utf8.c, features_cpu.c from libretro-common - static dependency: MIT
# nanovg - static dependency: zlib
License: GPL-3.0-only AND MIT AND Apache-2.0 AND Zlib

# wiliwili
BuildRequires: cmake(cpr)
BuildRequires: cmake(qrcodegencpp)
BuildRequires: cmake(WebP)

BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(mpv)
BuildRequires: pkgconfig(opencc)

BuildRequires: pystring-devel
BuildRequires: mongoose-devel >= 7.13

BuildRequires: desktop-file-utils

# borealis
BuildRequires: cmake(tinyxml2)
BuildRequires: cmake(fmt)
BuildRequires: cmake(Tweeny)

BuildRequires: pkgconfig(opencc)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(dbus-1)

BuildRequires: libxkbcommon-devel
BuildRequires: vulkan-devel
BuildRequires: wayland-devel
BuildRequires: wayland-protocols-devel

# common
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: cmake

Requires: hicolor-icon-theme

# bundled libraries
Provides: bundled(lunasvg) = 2.3.5~gitf924651
Provides: bundled(libpdr) = 0~gitb24fb9d

# borealis bundled libs
Provides: bundled(borealis) = 1.0.0~gita4ab993
Provides: bundled(libyogacore) = 2.0.0
# glfw mainline required to fix IME, touch & Wayland support
Provides: bundled(glfw) = 3.4.0~git5af677b
# nanovg don't have a version
Provides: bundled(nanovg) = 0

%description
Third-party Bilibili client built with borealis

%prep
%autosetup -n %{name}-v%{version}-g%{shortcommit}-full

%build
%cmake \
  -DPLATFORM_DESKTOP:BOOL=ON \
  -DGLFW_BUILD_X11:BOOL=ON \
  -DGLFW_BUILD_WAYLAND:BOOL=ON \
  -DINSTALL:BOOL=ON \
  -DUSE_SHARED_LIB:BOOL=ON \
  -DUSE_SYSTEM_GLFW=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md docs/*
%{_bindir}/wiliwili
%{_datadir}/applications/cn.xfangfang.wiliwili.desktop
%{_datadir}/icons/hicolor/*/apps/cn.xfangfang.wiliwili.png
%{_datadir}/icons/hicolor/scalable/apps/cn.xfangfang.wiliwili.svg
%{_datadir}/metainfo/cn.xfangfang.wiliwili.appdata.xml
%{_datadir}/wiliwili/*

%changelog
%autochangelog
